org.apache.lucene.analysis.in

## Class IndicNormalizer

- java.lang.Object
- - org.apache.lucene.analysis.in.IndicNormalizer

-     public class IndicNormalizer
      extends Object

  Normalizes the Unicode representation of text in Indian languages.

  Follows guidelines from Unicode 5.2, chapter 6, South Asian Scripts I and graphical decompositions from http://ldc.upenn.edu/myl/IndianScriptsUnicode.html

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndicNormalizer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `normalize(char[] text, int len)` Normalizes input text, and returns the new length.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndicNormalizer

          public IndicNormalizer()

  - ### Method Detail

    - #### normalize

          public int normalize(char[] text,
                               int len)

      Normalizes input text, and returns the new length. The length will always be less than or equal to the existing length.
      Parameters:
        `text` - input text
        `len` - valid length
      Returns:
        normalized length

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.